#!/usr/bin/env sh
#
# Set TEST_RUN to '1' for a (fast) test run
# Set TEST_RUN to '0' for a (slow) full experimental reproduction
export TEST_RUN=0;
#
echo;
echo "Artifact for experimental reproduction of the paper:";
echo "\"Replicating RESTART with Prolonged Retrials: An Experimental Report\"";
echo "by Carlos E. Budde and Arnd Hartmanns";
echo;
#
set -e;
cd ./setup;
#
echo "--[ Preparing modes ]-----------------------------------------";
if ! type modest 2>&1 >/dev/null; then
	echo "Installing the Modest Toolset";
	sh install_modest.sh;
	type modest >/dev/null || (echo "Installation failed; aborting" && exit 1);
fi
echo "--[ Done ]----------------------------------------------------";
echo;
#
echo "--[ Preparing FIG ]-------------------------------------------";
if ! type fig 2>&1 >/dev/null; then
	echo "Installing FIG";
	sh install_fig.sh;
	type fig >/dev/null || (echo "Installation failed; aborting" && exit 1);
fi
echo "--[ Done ]----------------------------------------------------";
echo;
#
cd ../experiments;
#
set +e;
echo "--[ Starting experimental reproduction ]----------------------";
echo "---------[ Experiments with code by J. Villen-Altamirano ]----";
bash run_Jose.sh;
echo "---------[ Experiments with the modes tool ]------------------";
bash run_modes.sh;
echo "---------[ Experiments with the FIG tool ]--------------------";
bash run_FIG.sh;
echo "--[ Done ]----------------------------------------------------";
echo;
#
cd ..;
#
exit 0;
